﻿using System.Collections.Generic;
using System.Runtime.InteropServices;
using System.Linq;

namespace InteropSample
{
    //[ComVisible(true)]
    //[ClassInterface(ClassInterfaceType.AutoDual)]
    public class Class1
    {
        public string HelloWorld(string name)
        {
            return "Hello, " + name;
        }

        public List<Person> People = new List<Person>();

        public Person AddPerson(string firstName, string lastName)
        {
            Person person = new Person();
            person.FirstName = firstName;
            person.LastName = lastName;
            People.Add(person);
            return person;
        }

        public Person GetPerson(string lastName)
        {
            Person person = People.Where(p => p.LastName == lastName).FirstOrDefault();
            return person;
        }
    }

    [ComVisible(true)]
    [ClassInterface(ClassInterfaceType.AutoDual)]
    public class Person
    {
        public string FirstName { get; set; }
        public string LastName { get; set; }
    }
}