local lnStart, ;
	loBridge, ;
	loFox, ;
	loDS, ;
	lnEnd1, ;
	loTable, ;
	lnEnd2

* Save the starting time.

lnStart = seconds()

* Create the wwDotNetBridge object.

loBridge = newobject('wwDotNetBridge', 'wwDotNetBridge.prg', '', 'V4')

* Load our assembly and instantiate the Samples class.

loBridge.LoadAssembly('Samples\Samples\bin\Debug\Samples.dll')
loFox = loBridge.CreateInstance('Samples.Samples')

* Get a DataSet from the People.XML file, get the first table, and convert it
* to a cursor.

loDS    = loFox.GetDataSetFromXML('people.xml')
lnEnd1  = seconds()
loTable = loBridge.GetPropertyEx(loDS, 'Tables[0]')
CreateCursorFromDataTable(loBridge, loTable, 'TEMP')

* Display the elapsed time and browse the cursor.

lnEnd2 = seconds()
messagebox(transform(lnEnd1 - lnStart) + ' seconds to create a DataSet ' + ;
	'from the XML and ' + transform(lnEnd2 - lnEnd1) + ' seconds to ' + ;
	'create a cursor, for a total of ' + transform(lnEnd2 - lnStart) + ;
	' seconds.')
browse
